Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "5cd4cfdf-2911-4c4c-9925-c51d8a84d692",
"user_id": "f0e9805e-e36a-4a4b-b19f-0e50b0ef613c",
"user_planning_slot_type_id": "85e5093d-f79a-4bb3-9ee1-68746929758a",
"date_from": "2026-11-13T20:37:33.0381569+00:00",
"date_to": "2026-11-13T20:37:33.0381569+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-13T20:37:33.0381569+00:00"
}